Blackboard Minimum Requirements

Blackboard | System Requirements


Blackboard Learn 9.1 SP10

 

Microsoft Windows Operating System

  Internet
Explorer® 9
Internet
Explorer® 8
Firefox (latest) Firefox 3.6 Chrome
Windows XP
(32-bit)
Unsupported Compatible Compatible Compatible Compatible
Windows Vista
(32-bit)
Certified Compatible Certified Compatible Compatible
Windows Vista
(64-bit)
Compatible Compatible Compatible Compatible Compatible
Windows 7
(32-bit)
Certified Compatible Certified Compatible Certified
Windows 7
(64-bit)
Compatible Compatible Compatible Compatible Compatible

 

Apple OS X Operating System

  Safari® 5.1 Safari 5.0 Firefox (latest) Firefox 3.6 Chrome
Mac OSX 10.5 
Leopard
Unsupported Compatible Compatible Compatible Compatible
Mac OSX 10.6 
Snow Leopard
Compatible Certified Certified Compatible Certified
Mac OSX 10.7 
Lion
Compatible Unsupported Compatible Compatible Compatible

 

Internet Connection: 56k Modem

NOTE: KVCC recommends a broadband connection.
 

If you have concerns your computer may be too outdated to run modern software or media you will need to consider upgrading. If this is not an option you may use KVCC’s computer lab. For online only course, contact the instructor for specific information.